Linuxdoc Linux Questions
Click here to ask our community of linux experts!
Custom Search

2. Introduction

2.1. Supported Devices

The following list of PDA's are supported by the Linux USB-Visor module:

  • Handspring Visor (all)

  • Palm USB Devices (all)

  • Sony Clie (all)

2.2. What's needed?

To syncronize your Handspring Visor onto your linux computer, you need to configure linux to know how to do the low-level communication with your device, and then a a user-space program to do the actual communication with the device.

2.3. Linux Distributions

Many distibutions now come with kernels pre-configured with appropriate support. If you have such a distro, and do not wish to re-compile the kernel, then you can probably skip ahead to the Syncronziation Software section. The following is an incomplete list of distro's that have support pre-configured:

  • Mandrake 8.2 (or later)

  • Redhat 7.2 (or later)

  • Suse 8.0 (or later)

You may check if your distro already has support by running this command as root:

modprobe visor

If the program printed any error messages, then you will need to re-compile the kernel with the approriate support. If nothing was printed, it means that it was successful, and your distro already provides support.